mma-mnx(1)

NAME
mma-mnx - Convert MIDI file to MMA-readable form

SYNOPSIS

mma-mnx <somefile.mid>

DESCRIPTION

This program is used to extract note and other data from an existing MIDI file in a format which the MMA MidiNote command understands.

If you just run the program on a file, you will get a report as to the number of channels in the file, etc.

To extract data, use the -c option stating the MIDI channel for the data to extract. Note, Pitch Bend, Controller and Channel Aftertouch data will be printed for the specified channel. Save using redirect if you want. You can now use your favorite editor to import the data to your mma file.

SEE ALSO
mma(1)

RESOURCES
The latest version of this program is always distributed with MMA and is available at http://www.mellowood.ca/mma

AUTHOR
Bob van der Poel <bob@mellowood.ca>

LICENSE
mma-mnx is Copyright 2009 Bob van der Poel. Free use of this software is granted under the terms of the GNU General Public License.